boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 > Class Template Reference
Inheritance diagram for boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >:

List of all members.

## Public Member Functions

template<typename P1 , typename P2 >
bool | apply (P1 const &p1, P2 &p2) const
matrix_type const & | matrix () const
| ublas_transformer (ct const &m_0_0, ct const &m_0_1, ct const &m_0_2, ct const &m_0_3, ct const &m_1_0, ct const &m_1_1, ct const &m_1_2, ct const &m_1_3, ct const &m_2_0, ct const &m_2_1, ct const &m_2_2, ct const &m_2_3, ct const &m_3_0, ct const &m_3_1, ct const &m_3_2, ct const &m_3_3)
| ublas_transformer ()

## Protected Types

typedef CalculationType | ct
typedef boost::numeric::ublas::matrix < ct > | matrix_type

## Protected Attributes

matrix_type | m_matrix

### template<typename CalculationType>
class boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >

## Member Typedef Documentation

template<typename CalculationType >

typedef CalculationType boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::ct `[protected]`

template<typename CalculationType >

typedef boost::numeric::ublas::matrix<ct> boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::matrix_type `[protected]`

## Constructor & Destructor Documentation

template<typename CalculationType >

boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::ublas_transformer | ( | ct const & | m_0_0,
|  | ct const & | m_0_1,
|  | ct const & | m_0_2,
|  | ct const & | m_0_3,
|  | ct const & | m_1_0,
|  | ct const & | m_1_1,
|  | ct const & | m_1_2,
|  | ct const & | m_1_3,
|  | ct const & | m_2_0,
|  | ct const & | m_2_1,
|  | ct const & | m_2_2,
|  | ct const & | m_2_3,
|  | ct const & | m_3_0,
|  | ct const & | m_3_1,
|  | ct const & | m_3_2,
|  | ct const & | m_3_3
| ) |  |

template<typename CalculationType >

boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::ublas_transformer | ( |  | ) |

## Member Function Documentation

template<typename CalculationType >
template<typename P1 , typename P2 >

bool boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::apply | ( | P1 const & | p1,
|  | P2 & | p2
| ) |  | const

template<typename CalculationType >

matrix_type const& boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::matrix | ( |  | ) | const

## Member Data Documentation

template<typename CalculationType >

matrix_type boost::geometry::strategy::transform::ublas_transformer< CalculationType, 3, 3 >::m_matrix `[protected]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK